For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Item object
          • GET/items
          • POST/items
          • GET/items/{id}
          • PATCH/items/{id}
          • GET/items/meta/patch/{id}
          • GET/items/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsItems

/items/{id}

GET
/accounting/v1/items/:id
GET
/api/accounting/v1/items/:id
$curl -G https://api.merge.dev/api/accounting/v1/items/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=purchase_account,sales_account,company,sales_tax_rate,purchase_tax_rate \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "id": "d2f972d0-2526-434b-9409-4c3b468e08f0",
3 "remote_id": "12374",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Pickleball Paddle",
7 "status": "ACTIVE",
8 "type": "INVENTORY",
9 "unit_price": 10,
10 "purchase_price": 25,
11 "purchase_account": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
12 "sales_account": "3872b4c9-f5d2-4f3b-a66b-dfedbed42c49",
13 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
14 "purchase_tax_rate": "983e8f97-9qw2-34v9-p123-67bdf98740v5",
15 "sales_tax_rate": "232c8f56-7se4-98f2-y334-12bdf89249f5",
16 "remote_updated_at": "2020-03-31T00:00:00Z",
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/actions",
29 "data": null
30 }
31 ]
32}

Returns an Item object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/items

Next

/items/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The item's name.
statusenum or null

The item’s status.

  • ACTIVE - ACTIVE
  • ARCHIVED - ARCHIVED
Allowed values:
typeenum or null

The item’s type.

  • INVENTORY - INVENTORY
  • NON_INVENTORY - NON_INVENTORY
  • SERVICE - SERVICE
  • UNKNOWN - UNKNOWN
Allowed values:
unit_pricedouble or null
The item's unit price.
purchase_pricedouble or null
The price at which the item is purchased from a vendor.
purchase_accountstring or nullformat: "uuid"
References the default account used to record a purchase of the item.
sales_accountstring or nullformat: "uuid"
References the default account used to record a sale.
companystring or nullformat: "uuid"
The company the item belongs to.
purchase_tax_ratestring or nullformat: "uuid"
The default purchase tax rate for this item.
sales_tax_ratestring or nullformat: "uuid"
The default sales tax rate for this item.
remote_updated_atdatetime or null
When the third party's item note was updated.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more